Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager.servlets
Class DownloadBinaryServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.bea.content.manager.servlets.DownloadBinaryServlet

All Implemented Interfaces
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class DownloadBinaryServlet

extends javax.servlet.http.HttpServlet

Downloads the bytes of a binary property for a Node specified in the request and provides a dialog box for users to save to their file system.

This will not print any error messages to the response.

The request paramaters are as follows:
- 1) nodeId -- which node to fetch the binary property from
- 2) propertyId -- which binary property to fetch
- 3) fileName -- filename to suggest in client browser save-as dialog Eg. http://server:port/app/DownloadBinary?nodeId=/repo/12345&propertyId=/repo/fooprop&fileName=someDoc.doc

  See Also
    Serialized Form

  Constructor Summary
  `DownloadBinaryServlet()`

  Method Summary
  `protected void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Called by the server (via the service method) to allow a servlet to handle a GET request.
  `protected void` | `downloadBinary(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Downloads the bytes of a binary property for a Node specified in the request and provides a dialog box for users to save to their file system.
  `protected void` | `showError(String error, Throwable ex, javax.servlet.http.HttpServletResponse resp)` Output in case of an error.

  Methods inherited from class javax.servlet.http.HttpServlet
  `doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

  Methods inherited from class javax.servlet.GenericServlet
  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### DownloadBinaryServlet

      public DownloadBinaryServlet()

  Method Detail

  ### doGet

      protected void doGet(javax.servlet.http.HttpServletRequest request,
                           javax.servlet.http.HttpServletResponse response)
                    throws javax.servlet.ServletException,
                           IOException

    Called by the server (via the service method) to allow a servlet to handle a GET request.

    Overrides:
      `doGet` in class `javax.servlet.http.HttpServlet`
    Throws
      `javax.servlet.ServletException`
      `IOException`

  ### downloadBinary

      protected void downloadBinary(javax.servlet.http.HttpServletRequest request,
                                    javax.servlet.http.HttpServletResponse response)
                             throws javax.servlet.ServletException,
                                    RepositoryException,
                                    IOException

    Downloads the bytes of a binary property for a Node specified in the request and provides a dialog box for users to save to their file system.

    This will not print any error messages to the response.

    Parameters
      `request` - The request
      `response` - The response
    Throws
      `IOException` - thrown on an error downloading and reading bytes.
      `RepositoryException` - thrown on an error talking to the repository or the Node doesn't have a content property to display.
      `javax.servlet.ServletException` - thrown if there was an error processing the request or response.

  ### showError

      protected void showError(String error,
                               Throwable ex,
                               javax.servlet.http.HttpServletResponse resp)
                        throws IOException,
                               javax.servlet.ServletException

    Output in case of an error.

    Parameters
      `error` - The error string.
      `ex` - The exception
      `resp` - The response
    Throws
      `IOException` - thrown on an error getting the writer from the response.
      `javax.servlet.ServletException` - thrown if there was an error processing the response.

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
  Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
  Other names may be trademarks of their respective owners.